Reconnect Vr Server

Reconnect Vr Server
Update the connection information of this vSphere Replication server and reset any current connection.

Update the connection information of this vSphere Replication server and reset any current connection.

Request
URI
POST
https://{api_host}/replication-servers/{replication_server_id}/actions/reconnect
COPY
Path Parameters
string
replication_server_id
Required

The UUID of the vSphere Replication server


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted.

Returns TaskDrResponseEntity of type(s) application/json
This response body class contains all of the following: Task , InlineTaskDrResponseEntity1
{
    "id": "string",
    "description": "string",
    "description_id": "string",
    "entity": "string",
    "entity_name": "string",
    "status": "string",
    "error": {
        "message": "string",
        "details": "string"
    },
    "result": {},
    "progress": 0,
    "queued_time": 0,
    "start_time": 0,
    "complete_time": 0,
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/replication-servers/{replication_server_id}/actions/reconnect